summaryrefslogtreecommitdiffstats
path: root/python/sexy-python
diff options
context:
space:
mode:
Diffstat (limited to 'python/sexy-python')
-rw-r--r--python/sexy-python/README3
-rw-r--r--python/sexy-python/fix-sexy_tooltip_position_to_rect.patch50
-rw-r--r--python/sexy-python/sexy-python.SlackBuild78
-rw-r--r--python/sexy-python/sexy-python.info10
-rw-r--r--python/sexy-python/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/python/sexy-python/README b/python/sexy-python/README
new file mode 100644
index 0000000000..d35d497a27
--- /dev/null
+++ b/python/sexy-python/README
@@ -0,0 +1,3 @@
+Sexy-python is a set of Python bindings around libsexy.
+
+Requires libsexy available at SlackBuilds.org. \ No newline at end of file
diff --git a/python/sexy-python/fix-sexy_tooltip_position_to_rect.patch b/python/sexy-python/fix-sexy_tooltip_position_to_rect.patch
new file mode 100644
index 0000000000..93b45e93d1
--- /dev/null
+++ b/python/sexy-python/fix-sexy_tooltip_position_to_rect.patch
@@ -0,0 +1,50 @@
+diff -Nur sexy-python-0.1.9/sexy/sexy.override sexy-python-0.1.9.new/sexy/sexy.override
+--- sexy-python-0.1.9/sexy/sexy.override 2006-03-18 22:48:12.000000000 +0100
++++ sexy-python-0.1.9.new/sexy/sexy.override 2007-03-08 11:11:46.000000000 +0100
+@@ -163,5 +163,46 @@
+ return 0;
+ }
+ %%
++override sexy_tooltip_position_to_rect kwargs
++
++/* Stock pygdk_rectangle_from_pyobject crashes with (at least) PyGTK 2.6.8 */
++static gboolean
++_gimmie_pygdk_rectangle_from_pyobject(PyObject *object, GdkRectangle *rectangle)
++{
++ g_return_val_if_fail(rectangle != NULL, FALSE);
++
++ if (pyg_boxed_check(object, GDK_TYPE_RECTANGLE)) {
++ *rectangle = *pyg_boxed_get(object, GdkRectangle);
++ return TRUE;
++ }
++ if (PyArg_ParseTuple(object, "iiii", &rectangle->x, &rectangle->y,
++ &rectangle->width, &rectangle->height)) {
++ return TRUE;
++ }
++ PyErr_Clear();
++ PyErr_SetString(PyExc_TypeError, "could not convert to GdkRectangle");
++ return FALSE;
++}
++
++static PyObject *
++_wrap_sexy_tooltip_position_to_rect(PyGObject *self, PyObject *args, PyObject *kwargs)
++{
++ static char *kwlist[] = { "rect", "screen", NULL };
++ PyObject *py_rect;
++ PyGObject *screen;
++ GdkRectangle rect = { 0, 0, 0, 0 };
++
++ if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO!:SexyTooltip.position_to_rect", kwlist, &py_rect, &PyGdkScreen_Type, &screen))
++ return NULL;
++
++ /* FIXME: Force the use of a newer version which does not crash */
++ if (!_gimmie_pygdk_rectangle_from_pyobject(py_rect, &rect))
++ return NULL;
++
++ sexy_tooltip_position_to_rect(SEXY_TOOLTIP(self->obj), &rect, GDK_SCREEN(screen->obj));
++ Py_INCREF(Py_None);
++ return Py_None;
++}
++%%
+ init
+ pyg_set_object_has_new_constructor(SEXY_TYPE_URL_LABEL);
diff --git a/python/sexy-python/sexy-python.SlackBuild b/python/sexy-python/sexy-python.SlackBuild
new file mode 100644
index 0000000000..48fd61775e
--- /dev/null
+++ b/python/sexy-python/sexy-python.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for sexy-python
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=sexy-python
+VERSION=${VERSION:-0.1.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/fix-sexy_tooltip_position_to_rect.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-dependency-tracking \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/sexy-python/sexy-python.info b/python/sexy-python/sexy-python.info
new file mode 100644
index 0000000000..646906385c
--- /dev/null
+++ b/python/sexy-python/sexy-python.info
@@ -0,0 +1,10 @@
+PRGNAM="sexy-python"
+VERSION="0.1.9"
+HOMEPAGE="http://www.chipx86.com/w/index.php/Libsexy"
+DOWNLOAD="http://releases.chipx86.com/libsexy/sexy-python/sexy-python-0.1.9.tar.gz"
+MD5SUM="313f11e98555b0e9eea28219564e5063"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/python/sexy-python/slack-desc b/python/sexy-python/slack-desc
new file mode 100644
index 0000000000..f53104545f
--- /dev/null
+++ b/python/sexy-python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sexy-python: sexy-python (Python bindings for libsexy)
+sexy-python:
+sexy-python: Sexy-python is a set of Python bindings around libsexy.
+sexy-python:
+sexy-python: Homepage: http://www.chipx86.com/w/index.php/Libsexy
+sexy-python:
+sexy-python:
+sexy-python:
+sexy-python:
+sexy-python:
+sexy-python: